/*
  Arduino KY-013 Analog Sıcaklık Sensörü (NTC) Modülü

  Arduino 37 parça sensör setinin bir parçası olan Analog Sıcaklık Sensörü (NTC) modülünün
  örnek sketch'idir. NTC yapıdaki sensörün analog çıkışı bir matematiksel işlemden
  (Steinhart-Hart denklemi) geçirilerek anlamlı bir sıcaklık değerine dönüştürülür.

  Setin diğer parçalarının açıklama ve örnek kodlarına
  web sitemizden ulaşabilirsiniz.

  Oluşturma: 13 Ekim 2021 / Mete Hoca

  https://www.metehoca.com/
*/

int sensor = A0;         // Sensör pinini ayarlıyoruz.
                         // DİKKAT! BU SENSÖRLERİN ÜZERİNDEKİ İŞARETLER HATALIDIR
                         // Soldan sağa 5V, GND ve Sensör şeklinde bağlanmalıdır
                         // NTC tipi sensörler üretim toleransları nedeniyle 5 derece
                         // kadar eksik veya fazla gösterebilir

double NTC(int ADC1) { // Bu altyordamda sensörden okunan veri hesaplanıyor
  double Temp;
  Temp = log(10000.0*((1024.0/ADC1-1))); 
  Temp = 1 / (0.001129148 + (0.000234125 + (0.0000000876741 * Temp * Temp ))* Temp );
  Temp = Temp - 273.15;
  return Temp;
}
 
void setup() {
  Serial.begin(9600);                       // Seri Port Ekranı'nı doğru ayarlamayı unutmayın
}
 
void loop() {
  Serial.print("Sıcaklık: ");
  Serial.print(NTC(analogRead(sensor)), 1); // Hesaplanan sıcaklık değeri görüntüleniyor
  Serial.println(" C");
  delay(100);                               // Sonraki ölçüm öncesinde biraz bekleyelim
}
